#ifndef INCLUDED_CBtString_h
#define INCLUDED_CBtString_h

/*------- include files:
-------------------------------------------------------------------*/
#include <string>

class CBtString
{
public:
   std::string ltrim( const std::string& s ) {
      return s.empty() ? s : s.substr( s.find_first_not_of( ' ' ) );
   }
   std::string rtrim( const std::string& s ) {
      return s.substr( 0, s.find_last_not_of( ' ' ) + 1 );
   }
   std::string trim( const std::string& s ) {
      return rtrim( ltrim( s ) );
   }
   std::string lower( std::string s ) {
      const std::string::size_type n = s.length();
      for( std::string::size_type i = 0; i < n; ++i ) {
         if( isupper( s[i] ) ) {
            s[i] = static_cast<char>( tolower( s[i] ) );
         }
      }
      return s;
   }
};

#endif // INCLUDED_CBtString_h
