#ifndef INCLUDED_QBtButtons_h
#define INCLUDED_QBtButtons_h
/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtButtons.h
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 19.01.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include <QWidget>

/*------- forward declarations:
-------------------------------------------------------------------*/
class QPushButton;

/*------- class declaration:
-------------------------------------------------------------------*/
class QBtButtons : public QWidget
{
   Q_OBJECT

public:
   QBtButtons( QWidget* = 0 );
private:
   QBtButtons( const QBtButtons& );
   QBtButtons& operator=( const QBtButtons& );

//------- CONSTANTS -------
private:
   static const char* const F1_Key;
   static const char* const F2_Key;
   static const char* const F3_Key;
   static const char* const F4_Key;
   static const char* const F5_Key;
   static const char* const F6_Key;
   static const char* const F7_Key;
   static const char* const F8_Key;
   static const char* const F9_Key;
   static const char* const F10_Key;

   static const char* const F1_Text;
   static const char* const F2_Text;
   static const char* const F3_Text;
   static const char* const F4_Text;
   static const char* const F5_Text;
   static const char* const F6_Text;
   static const char* const F7_Text;
   static const char* const F8_Text;
   static const char* const F10_Text;

//------- MEMBERS -------
private:
   QPushButton* const F1_;
   QPushButton* const F2_;
   QPushButton* const F3_;
   QPushButton* const F4_;
   QPushButton* const F5_;
   QPushButton* const F6_;
   QPushButton* const F7_;
   QPushButton* const F8_;
   QPushButton* const F9_;
   QPushButton* const F10_;

//------- METHODS -------
private:
   void retranslate();

private slots:
   void F1();
   void F3();
   void F4();
   void F5();
   void F7();
   void F8();
   void F10();
};
 #endif // INCLUDED_QBtButtons_h
 