#ifndef INCLUDED_QBtConfigNormalize_h
#define INCLUDED_QBtConfigNormalize_h
/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtConfigNormalize.h
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 11.04.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include "QBtConfigBaseDialog.h"

/*------- class declaration:
-------------------------------------------------------------------*/
class QBtConfigNormalize : public QBtConfigBaseDialog
{
   Q_OBJECT

//------- CONSTRUCTION/DESTRUCTION -------
public:
   QBtConfigNormalize( QWidget*, const QString& );
   ~QBtConfigNormalize();
private:
   QBtConfigNormalize( const QBtConfigNormalize& );
   QBtConfigNormalize& operator=( const QBtConfigNormalize& );

//------- CONSTANTS -------
private:
   static const char* const Caption;

//------- METHODS -------
private:
   void    customEvent( QEvent* );
   QString get_command() const;
private slots:
   void try_clicked();
   void accept_clicked();
};

#endif // INCLUDED_QBtConfigNormalize_h
