#ifndef INCLUDED_QBtConfigRotate_h
#define INCLUDED_QBtConfigRotate_h
/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtConfigRotate.h
 * Author       : Piotr Pszczolkowski
 * Home page    : www.beesoft.org
 * Contact      : piotr@beesoft.org
 * Creation date: 13.02.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include "QBtConfigBaseDialog.h"
#include <QImage>

/*------- forward declarations:
-------------------------------------------------------------------*/
class QSlider;
class QSpinBox;
class QPushButton;
class QBtColorDemo;

/*------- class declaration:
-------------------------------------------------------------------*/
class QBtConfigRotate : public QBtConfigBaseDialog
{
   Q_OBJECT

//------- CONSTRUCTION / DESTRUCTION -------
public:
   QBtConfigRotate( QWidget*, const QString& );
   ~QBtConfigRotate();
private:
   QBtConfigRotate( const QBtConfigRotate& );
   QBtConfigRotate& operator=( const QBtConfigRotate& );

//------- CONSTANTS -------
private:
   static const char* const Caption;
   static const char* const Suffix;
   static const char* const RotationAngle;
   static const char* const Background;
   //static const char* const Transparency;
   //static const char* const Color;
   
//------- MEMBERS -------
private:
   QImage               image_;
   QSlider      * const angle_slider_;
   QSpinBox     * const angle_spin_box_;
   QPushButton  * const color_btn_;
   QBtColorDemo * const color_demo_;
   //QSpinBox     * const trans_spin_box_;

//------- METHODS -------
private:
   void showEvent( QShowEvent* );
   void customEvent( QEvent* );
   void update_values( const QString& );
   QString get_command() const;
private slots:
   void try_clicked   ();
   void accept_clicked();
   void slider_changed( int );
   void angle_changed ( int );
   void change_color  ();
};

 
#endif // INCLUDED_QBtConfigRotate_h
