#ifndef INCLUDED_QBtInfo_h
#define INCLUDED_QBtInfo_h
/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtInfo.h
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 05.02.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include "QBtShared.h"
#include <QDialog>
#include <QImage>

/*------- forward declarations:
-------------------------------------------------------------------*/
class QTextBrowser;
class QPushButton;
class QBtProcess;

/*------- class declaration:
-------------------------------------------------------------------*/
class QBtInfo : public QDialog
{
   Q_OBJECT
   
//------- CONSTRUCTION / DESTRUCTION -------
public:
   QBtInfo( QWidget*, const QString& );
   ~QBtInfo();
private:
   QBtInfo( const QBtInfo& );
   QBtInfo& operator=( const QBtInfo& );

//------- CONSTANTS -------
private:
   static const char* const Caption;
   static const char* const Close;

//------- MEMBERS -------
private:
   const QString       cmd_;
   QTextBrowser* const browser_;
   QPushButton * const close_;
   QBtProcess  *       process_;

//------- METHODS -------
private:
   void showEvent( QShowEvent* );
   void focusInEvent( QFocusEvent* );
private slots:
   void ready_slot();
};


#endif // INCLUDED_QBtInfo_h
