#ifndef INCLUDED_QBtOutputWidget_h
#define INCLUDED_QBtOutputWidget_h
/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtOutputWidget.h
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 8.01.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include <QWidget>

/*------- forward declarations:
-------------------------------------------------------------------*/
class QSplitter;
class QTextBrowser;

/*------- class declaration:
-------------------------------------------------------------------*/
class QBtOutputWidget : public QWidget
{
   Q_OBJECT

//******* CONSTRUCTION / DESTRUCTION *******
public:
   QBtOutputWidget( QWidget* = 0 );
   ~QBtOutputWidget();
private:
   QBtOutputWidget( const QBtOutputWidget& );
   QBtOutputWidget& operator=( const QBtOutputWidget& );

//******* MEMBERS *******
private:
   QSplitter   * const splitter_;
   QTextBrowser* const out_browser_;
   QTextBrowser* const err_browser_;

//------- METHODS -------
private:
   void customEvent( QEvent* );
public:
   QTextBrowser* out_browser() const { return out_browser_; }
   QTextBrowser* err_browser() const { return err_browser_; }
};

#endif // INCLUDED_QBtOutputWidget_h
