/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtPicture.cpp
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 13.02.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include "QBtPicture.h"
#include <QImage>
#include <QLabel>

//*******************************************************************
// QBtPicture                                            CONSTRUCTOR
//*******************************************************************
QBtPicture::QBtPicture( QWidget* const in_parent )
: QScrollArea( in_parent )
{
   setBackgroundRole( QPalette::Dark );
   setAlignment( Qt::AlignVCenter | Qt::AlignHCenter );
}
// end of QBtPicture

//*******************************************************************
// display                                                    PUBLIC
//*******************************************************************
void QBtPicture::display( const QImage& in_image )
{
   QLabel* const label = new QLabel;
   label->setPixmap( QPixmap::fromImage( in_image ) );
   setWidget( label );
}
// end of display

