#ifndef INCLUDED_QBtProcess_h
#define INCLUDED_QBtProcess_h
/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtProcess.h
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 5.02.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include <QProcess>

/*------- class declaration:
-------------------------------------------------------------------*/
class QBtProcess : public QProcess
{
   Q_OBJECT
   
//------- CONSTRUCTION / DESTRUCTION -------
public:
   QBtProcess( QObject* = 0 );
private:
   QBtProcess( const QBtProcess& );
   QBtProcess& operator=( const QBtProcess& );

//------- MEMBERS -------
private:
   QString out_text_;
   QString err_text_;
   bool    valid_;

//------- METHODS -------
public:
   void run( const QString& );
   
   const QString& get_out_text() const { return out_text_; }
   const QString& get_err_text() const { return err_text_; }
   bool           valid       () const { return valid_   ; }

private slots:
   void read_output();
   void read_error ();
   void error      ( QProcess::ProcessError );
   void finished   ( int, QProcess::ExitStatus );
   
signals:
   void finished();
};

#endif // INCLUDED_QBtProcess_h
