#ifndef INCLUDED_QBtShared_h
#define INCLUDED_QBtShared_h
/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtShared.h
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 2.01.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include <Magick++.h>
#include <QObject>
#include <QString>
#include <vector>
#include <string>
#include <set>

/*------- forward declarations:
-------------------------------------------------------------------*/
class QCursor;
class QWidget;

typedef std::vector<QString> Strings;
typedef std::set<QString> StringSet;
//typedef std::vector<std::string> StdStrings;


/*------- class declaration:
-------------------------------------------------------------------*/
class QBtShared : public QObject
{
//******* CONSTANTS *******
public:
   static const char* const Organisation;
   static const char* const ProgramName;
   static const char* const Version;
   static const char* const Vernum;

//******* METHODS *******
public:
   static QString  program_name   ();
   static void     set_cursor     ( const QCursor& );
   static void     restore_cursor ();
   static QString& reverse        ( QString& );
   static QString  num2str        ( const qint64 );
   static void     disable_updates( QWidget* );
   static void     enable_updates ( QWidget* );
   static QString  dst_fpath      ( const QString&, const QString& );
};

#endif // INCLUDED_QBtShared_h
