/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtViewRight.h
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 22.01.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include "QBtViewRight.h"
#include "QBtEventsController.h"

//*******************************************************************
// QBtViewRight                                           CONSTRUCTOR
//*******************************************************************
QBtViewRight::QBtViewRight( const QString& in_path, QWidget* in_parent )
: QBtView ( in_path, in_parent )
{}
// end of QBtViewRight

//*******************************************************************
// showEvent                                       PRIVATE inherited
//*******************************************************************
void QBtViewRight::showEvent( QShowEvent* const in_event )
{
   QTreeWidget::showEvent( in_event );

   static bool first_time = true;
   if( first_time ) {   
      setUpdatesEnabled( false );
      read( path_ );
      setUpdatesEnabled( true );
      first_time = false;
   }
}
// end of showEvent
