#ifndef INCLUDED_QBtViewWidget_h
#define INCLUDED_QBtViewWidget_h
/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtViewWidget.h
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 8.01.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include <QWidget>

/*------- forward declarations:
-------------------------------------------------------------------*/
class QSplitter;
class QBtView;

/*------- class declaration:
-------------------------------------------------------------------*/
class QBtViewWidget : public QWidget
{
   Q_OBJECT

//------- CONSTRUCTION / DESTRUCTION -------
public:
   QBtViewWidget( QWidget* = 0 );
   ~QBtViewWidget();
private:
   QBtViewWidget( const QBtViewWidget& );
   QBtViewWidget& operator=( const QBtViewWidget& );

//------- MEMBERS -------
private:
   QSplitter* const splitter_;
   QBtView  * const viewA_;
   QBtView  * const viewB_;

//------- METHODS -------
public:
   QBtView* viewA() const { return viewA_; }
   QBtView* viewB() const { return viewB_; }
   
private:
   void customEvent  ( QEvent* );
   void switch_panel ();
   void viewer       ();
};

#endif // INCLUDED_QBtViewWidget_h
