#ifndef INCLUDED_QBtWorkspace_h
#define INCLUDED_QBtWorkspace_h
/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtWorkspace.h
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 8.01.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include <QWidget>
#include <QTabWidget>
#include <QTabBar>

/*------- forward declarations:
-------------------------------------------------------------------*/
class QLabel;
class QTabBar;
class QStackedLayout;
class QBtViewWidget;
class QBtCmdWidget;
class QBtOutputWidget;

/*------- class declaration:
-------------------------------------------------------------------*/
class QBtWorkspace : public QWidget
{
   Q_OBJECT

//------- TYPES -------
private:
   enum {
      FilesIndex = 0,
      CmdIndex,
      OutputIndex,
   };

//******* CONSTRUCTION / DESTRUCTION *******
public:
   QBtWorkspace( QWidget* = 0 );
   ~QBtWorkspace();
private:
   QBtWorkspace( const QBtWorkspace& );
   QBtWorkspace& operator=( const QBtWorkspace& );

//------- CONSTANTS -------
private:
   static const char* const Dir;
   static const char* const Files;
   static const char* const Cmd;
   static const char* const Output;
   static const char* const Process;
   static const char* const NoCmd;
   static const char* const SameDirs;

//------- MEMBERS -------
private:
   QTabBar        * const bar_;
   QStackedLayout * const stack_;
   QLabel         * const path_;
   QBtViewWidget  * const view_widget_;
   QBtCmdWidget   * const cmd_widget_;
   QBtOutputWidget* const out_widget_;
   

//******* METHODS *******
private:
   void customEvent( QEvent* );
   void viewer     ();
   void process    ();
private slots:
   void tab_changed( int );
};

#endif // INCLUDED_QBtWorkspace_h
