/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : magicom.cpp
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 2.01.2009
 *******************************************************************/
 
/*------- include files:
-------------------------------------------------------------------*/
#include "QBtShared.h"
#include "QBtMainWindow.h"
#include "QBtEventsController.h"
#include <QIcon>
#include <QApplication>

//*******************************************************************
// main
//*******************************************************************
int main( int in_argc, char** in_argv )
{
   Q_INIT_RESOURCE( imagicom );

   QApplication::setOrganizationName  ( QBtShared::Organisation );
   QApplication::setOrganizationDomain( QBtShared::Organisation );
   QApplication::setApplicationName   ( QBtShared::ProgramName  );

   QApplication app( in_argc, in_argv );
   app.setWindowIcon( QIcon( ":/img/imagicom.png" ) );

   QBtEventsController::instance();
  
   QBtMainWindow appwin;
   appwin.show();
   
   return app.exec();
}
// end of main
